MOUNTPOINT(1)

BEZEICHNUNG
mountpoint - Überprüfen, ob ein Verzeichnis oder eine Datei ein Einhängepunkt ist

ÜBERSICHT

mountpoint [-d|-q] Verzeichnis|Datei

mountpoint -x Gerät

BESCHREIBUNG

mountpoint überprüft, ob das angegebene Verzeichnis oder die angegebene Datei in der Datei /proc/self/mountinfo aufgeführt ist.

OPTIONEN

-d, --fs-devno
    zeigt die Major/Minor-Nummern des Geräts an, das in dem angegebenen Verzeichnis eingehängt ist.

-q, --quiet
    unterdrückt die Ausgaben.

--nofollow
    folgt keinem symbolischen Link, wenn er das letzte Element in einem Verzeichnis-Pfad ist.

-x, --devno
    zeigt die Major/Minor-Nummern des angegebenen blockorientierten Geräts in der Standardausgabe an.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

EXIT-STATUS

mountpoint hat die folgenden Exit-Status-Werte:

0
    Erfolg; das Verzeichnis ist ein Einhängepunkt, oder das Gerät ist ein Blockgerät (mit --devno)

1
    Fehlschlag; fehlerhafter Aufruf, Zugriffsrechte- oder Systemfehler

32
    Fehlschlag; das Verzeichnis ist kein Einhängepunkt, oder das Gerät ist kein Blockgerät (mit --devno)

UMGEBUNGSVARIABLEN

LIBMOUNT_DEBUG=all
    aktiviert die Fehlersuchausgabe für libmount.

ANMERKUNGEN

Die mountpoint-Implementation von Util-linux wurde für Libmount von Grund auf neu geschrieben. Die Originalversion für die SysVinit-Suite wurde von Miquel van Smoorenburg geschrieben.

AUTOREN

SIEHE AUCH

mount(8)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl mountpoint ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).